package com.xingxi.business.MerchantWxpay.service;

import com.xingxi.business.MerchantWxpay.domain.MerchantWxpay;

import java.util.List;

/**
 * 店铺微信支付信息Service接口
 *
 * @author xingxi
 * @date 2025-03-06
 */
public interface IMerchantWxpayService {
    /**
     * 查询店铺微信支付信息
     *
     * @param mercWxpayId 店铺微信支付信息主键
     * @return 店铺微信支付信息
     */
    MerchantWxpay selectMerchantWxpayByMercWxpayId(Long mercWxpayId);

    /**
     * 查询店铺微信支付信息列表
     *
     * @param MerchantWxpay 店铺微信支付信息
     * @return 店铺微信支付信息集合
     */
    List<MerchantWxpay> selectMerchantWxpayList(MerchantWxpay MerchantWxpay);

    /**
     * 新增店铺微信支付信息
     *
     * @param MerchantWxpay 店铺微信支付信息
     * @return 结果
     */
    int insertMerchantWxpay(MerchantWxpay MerchantWxpay);

    /**
     * 新增店铺微信支付信息
     *
     * @param MerchantWxpayList 店铺微信支付信息
     * @return 结果
     */
    int batchInsertMerchantWxpay(List<MerchantWxpay> MerchantWxpayList);

    /**
     * 修改店铺微信支付信息
     *
     * @param MerchantWxpay 店铺微信支付信息
     * @return 结果
     */
    int updateMerchantWxpay(MerchantWxpay MerchantWxpay);

    /**
     * 批量删除店铺微信支付信息
     *
     * @param mercWxpayIds 需要删除的店铺微信支付信息主键集合
     * @return 结果
     */
    int deleteMerchantWxpayByMercWxpayIds(String mercWxpayIds);

    /**
     * 删除店铺微信支付信息信息
     *
     * @param mercWxpayId 店铺微信支付信息主键
     * @return 结果
     */
    int deleteMerchantWxpayByMercWxpayId(Long mercWxpayId);

    /**
     * 逻辑删除店铺微信支付信息
     *
     * @param mercWxpayId 店铺微信支付信息主键
     * @return 结果
     */
    int logicDeleteMerchantWxpayByMercWxpayId(Long mercWxpayId);

    /**
     * 逻辑批量删除店铺微信支付信息
     *
     * @param mercWxpayIds 需要删除的数据主键集合
     * @return 结果
     */
    int logicDeleteMerchantWxpayByMercWxpayIds(String[] mercWxpayIds);

    /**
     * 逻辑批量删除店铺微信支付信息
     *
     * @param MerchantWxpay 店铺微信支付信息
     * @return 结果
     */
    int logicDeleteMerchantWxpayByCondition(MerchantWxpay MerchantWxpay);
}
